Subject: Re: [PATCH] git-send-email: ssh/login style password requests

From: Junio C Hamano <[email-masked]>
Date: Fri, 01 Feb 2008 15:34:20 -0800

Michael Witten <[email-masked]> writes:

> It turns out that --compose will also leave some temporary files
> behind if git-send-email is terminated out of course.
>
> Should I establish a general handler for SIGTERM and SIGINT?

I was mostly worried about ^C leaving the terminal in a funny
state with your system(stty).

I do not think you should lose the message the user carefully
composed using an editor upon seeing ^C.  The user may start to
compose, edit the message, and then at some later time decide to
stop the mail-sending procedure by ^C-ing out.  The user would
thank you if you somehow left an escape hatch to allow salvaging
the message, instead of having it to be re-typed from scratch.